#ifndef PROJECTILE_HPP
#define PROJECTILE_HPP

#include "Platform.hpp"
//WeberMa73121: implementation enum direction dir ersetzt int direcion---------------------------------------
//Hauerch71498 ----------------------------------------------------------------------------------------------
class Level;

// Did not manage to derive this from Entity during crunch time, since we
// didn't need its functionality. That's why it still has its own [x] and [y]
// members.
class Projectile
{
public:
    Projectile(float x, float y, enum direction dir);
    virtual ~Projectile();
    float getX();
    float getY();
    virtual const PixelBuffer& getSprite() = 0;
    virtual bool doStep(FloatSeconds const & Frametime, Level &level) = 0;
protected:
    direction dir;
    float x;
    float y;
    virtual bool move(FloatSeconds const & Frametime, Level &level) = 0;
};

#endif // PROJECTILE_HPP
