#include "Scoreb.hpp"
//Hauerch71498 ----------------------------------------------------------------------------------------------
Score::Score(int W,int H)
{
    GameOverPos.x = W/2-16;
    GameOverPos.y = H/2-9;
    ScoreBoard[5].ScorePos.x = W-70;
    ScoreBoard[5].ScorePos.y = scoreBoardHeigth;
    ScoreBoard[4].ScorePos.x = W-60;
    ScoreBoard[4].ScorePos.y = scoreBoardHeigth;
    ScoreBoard[3].ScorePos.x = W-50;
    ScoreBoard[3].ScorePos.y = scoreBoardHeigth;
    ScoreBoard[2].ScorePos.x = W-40;
    ScoreBoard[2].ScorePos.y = scoreBoardHeigth;
    ScoreBoard[1].ScorePos.x = W-30;
    ScoreBoard[1].ScorePos.y = scoreBoardHeigth;
    ScoreBoard[0].ScorePos.x = W-20;
    ScoreBoard[0].ScorePos.y = scoreBoardHeigth;
}
ScoreB::ScoreB()
{

}
static StaticPixelBuffer<34,18> constexpr gameover= {
    {{
{"000FFFFFF000FFF000FF000FF0FFFFFFF0"},
{"00F000000F0F000F0F00F0F00F0000000F"},
{"0F00FFFFF0F00000FF000F000F00FFFFF0"},
{"F00F00FFFF000F000F0000000F00FFF000"},
{"F00F0F000F00FFF00F00F0F00F00000F00"},
{"F00F00F00F0000000F00FFF00F00FFF000"},
{"0F00FFF00F00FFF00F00F0F00F00FFFFF0"},
{"00F000000F00F0F00F00F0F00F0000000F"},
{"000FFFFFF0FF000FF0FF000FF0FFFFFFF0"},
{"00FFFFFF00FF000FF0FFFFFFF0FFFFFF00"},
{"0F000000FF00F0F00F0000000F000000F0"},
{"F00FFFF00F00F0F00F00FFFFFF00FFF00F"},
{"F00F00F00F00F0F00F00FFF00F00F0F00F"},
{"F00F00F00F000F000F00000F0F00FF000F"},
{"F00F00F00FF00000FF00FFF00F00000FF0"},
{"F00FFFF00F0F000F0F00FFFFFF00F000F0"},
{"0F000000F000F0F00F0000000F00FF000F"},
{"00FFFFFF00000F000FFFFFFFF0FF00FFF0"}
    }}};

static StaticPixelBuffer<4,6> constexpr eins= {
    {{
         {" B  "},
         {"BB0 "},
         {" B0 "},
         {" B0 "},
         {" B0 "},
         {"  0 "}
    }}};
static StaticPixelBuffer<4,6> constexpr zwei= {
    {{
         {"222 "},
         {"  20"},
         {"2220"},
         {"2000"},
         {"222 "},
         {" 000"}
    }}};
static StaticPixelBuffer<4,6> constexpr drei= {
    {{
         {"333 "},
         {" 030"},
         {"3330"},
         {" 030"},
         {"3330"},
         {" 000"}
    }}};
static StaticPixelBuffer<4,6> constexpr vier= {
    {{
         {"4 4 "},
         {"4040"},
         {"4440"},
         {" 040"},
         {"  40"},
         {"   0"}
    }}};
static StaticPixelBuffer<4,6> constexpr funf= {
    {{
         {"555 "},
         {"5000"},
         {"555 "},
         {" 050"},
         {"5550"},
         {" 000"}
    }}};
static StaticPixelBuffer<4,6> constexpr sechs= {
    {{
         {"666 "},
         {"6000"},
         {"666 "},
         {"6060"},
         {"6660"},
         {" 000"},
    }}};
static StaticPixelBuffer<4,6> constexpr sieben= {
    {{
         {"777 "},
         {" 070"},
         {"  70"},
         {" 7 0"},
         {" 70 "},
         {"  0 "},
    }}};
static StaticPixelBuffer<4,6> constexpr acht= {
    {{
         {"888 "},
         {"8080"},
         {"8880"},
         {"8080"},
         {"8880"},
         {" 000"},
    }}};
static StaticPixelBuffer<4,6> constexpr neun= {
    {{
         {"999 "},
         {"9090"},
         {"9990"},
         {"  90"},
         {"9990"},
         {" 000"},
    }}};
static StaticPixelBuffer<4,6> constexpr null= {
    {{
         {"AAA "},
         {"A0A0"},
         {"A0A0"},
         {"A0A0"},
         {"AAA0"},
         {" 000"},
    }}};
PixelBuffer const& Score::getGameOverSprite()
{
    return gameover;
}

void Score::SetScoreSprite(int Score)
{
    for(int i = 0; i<6;i++)
    {
        int number = Score%10;
        Score = (Score-number)/10;
        ScoreBoard[i].number = number;
    }
};

PixelBuffer const& ScoreB::getScoreSprite()
{
    switch ( number ) {

    case 1:
        return eins;
        break;
    case 2:
        return zwei;
        break;
    case 3:
        return drei;
        break;
    case 4:
        return vier;
        break;
    case 5:
        return funf;
        break;
    case 6:
        return sechs;
        break;
    case 7:
        return sieben;
        break;
    case 8:
        return acht;
        break;
    case 9:
        return neun;
        break;

    default:
        return null;
    }
};
