#ifndef TANK_HPP
#define TANK_HPP
#include "Enemy.hpp"
#include "Level.hpp"
//WeberMa73121: implementation enum direction dir replaces int direcion---------------------------------------
//Hauerch71498 ----------------------------------------------------------------------------------------------
class Tank: public Enemy // Fight the Power!
{
public:
    Tank(float x, float y, enum direction dir, int animationstep);
    //~Tank() override;

    void doStep(float PlayerX, float PlayerY, FloatSeconds const & Frametime, Level &level) override;
    int getScore() override;
protected:
    PixelBuffer const& getSprite() override;
    //void shoot() override;
    void move(FloatSeconds const & Frametime, Level &level) override;
    void turnToPlayer(float PlayerX, float PlayerY);
    //Temporarly
    float timetoTurn = 0;
    void changeDirection();
    bool checkmove(FloatSeconds const & Frametime, Level &level);

};

#endif // TANK_HPP
