#ifndef TROOPER_HPP
#define TROOPER_HPP
//WeberMa73121: implementation enum direction dir replaces int direcion---------------------------------------
//Hauerch71498 ----------------------------------------------------------------------------------------------
#include "Enemy.hpp"
class Level;

/* Type 0
 * Kleiner Sprite,
 *
 *
*/
class Trooper: public Enemy
{
public:
    Trooper(float x, float y, enum direction dir, int animationstep);

    void doStep(float PlayerX, float PlayerY, FloatSeconds const & Frametime, Level &level) override;
    int getScore() override;

protected:
    PixelBuffer const& getSprite() override;
    void move(FloatSeconds const & Frametime, Level &level) override;
    void turnToPlayer(float PlayerX, float PlayerY);
    //Temporarly
    float timetoTurn = 0;
    bool checkmove(FloatSeconds const & Frametime, Level &level);
    void changeDirection();
};

#endif // TROOPER_HPP
