#ifndef PLAYERPROJECTILE_HPP
#define PLAYERPROJECTILE_HPP
#include "Projectile.hpp"

Color constexpr PLAYER_PROJECTILE_COLOR = _6;
class PlayerProjectile: public Projectile
{
public:
    PlayerProjectile(float x, float y, enum direction dir);
    bool doStep(FloatSeconds const & Frametime, Level &level) override;
    PixelBuffer const& getSprite() override;
protected:
    bool move(FloatSeconds const & Frametime, Level &level) override;

};

#endif // PLAYERPROJECTILE_HPP
